﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace HeatmapTest
{
    public class MyDelegateCommand : ICommand
    {
        private Action action;

        public MyDelegateCommand(Action action)
        {
            this.action = action;
        }

        public void Execute(object _) => this.action();

        public bool CanExecute(object _) => true;

        public event EventHandler CanExecuteChanged;
    }
}